Bug 166901 - update port: audio/mp3splt-gtk
Summary: update port: audio/mp3splt-gtk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-13 08:00 UTC by Timothy Beyer
Modified: 2012-05-18 19:00 UTC (History)
1 user (show)

See Also:


Attachments
mp3splt-gtk.diff (199.36 KB, patch)
2012-04-13 08:00 UTC, Timothy Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2012-04-13 08:00:31 UTC
- Update port to version 0.7.1.

- It is necessary to process the PR for port for audio/libmp3splt
(http://www.freebsd.org/cgi/query-pr.cgi?pr=166899) first.  It will not compile
using earlier versions of audio/libmp3splt.

- Get rid of audacious support, because it requires gtk3.

- Implement NOPORTDOCS support.

- Get rid of unnecessary post-patch target.

- Updated pkg-plist generated using genplist, with a few small modifications.

- Simplify NLS option.

Fix: Apply the patch and build
How-To-Repeat: apply the patch and build
Comment 1 Jason Helfman freebsd_committer 2012-04-20 17:36:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 Jason Helfman freebsd_committer 2012-05-14 20:26:46 UTC
Responsible Changed
From-To: jgh->freebsd-ports-bugs

back to the pool
Comment 3 Guido Falsi freebsd_committer 2012-05-15 23:21:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 4 Guido Falsi freebsd_committer 2012-05-18 18:52:42 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2012-05-18 18:52:54 UTC
madpilot    2012-05-18 17:52:41 UTC

  FreeBSD ports repository

  Modified files:
    audio/mp3splt-gtk    Makefile distinfo pkg-plist 
  Log:
  - Update to 0.7.1
  - Respect NOPORTDOCS
  - Add LICENSE
  
  PR:             ports/166901
  Submitted by:   Timothy Beyer <beyert@cs.ucr.edu> (maintainer)
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.12      +33 -10    ports/audio/mp3splt-gtk/Makefile
  1.3       +2 -2      ports/audio/mp3splt-gtk/distinfo
  1.3       +101 -7    ports/audio/mp3splt-gtk/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"